Page MenuHomeFreeBSD

library should not modify global process state by calling sigaction(2)
ClosedPublic

Authored by kaktus on Aug 27 2019, 10:32 PM.

Details

Reviewers
kib
brooks
Summary

Library should not modify global process state by calling sigaction(2), also setloginclass(2) was added in the 9.0 era and we can safely assume that all consumers of the current version use modern kernel too.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

kaktus created this revision.Aug 27 2019, 10:32 PM
kib accepted this revision.Aug 28 2019, 7:33 AM
This revision is now accepted and ready to land.Aug 28 2019, 7:33 AM
brooks accepted this revision.Sep 2 2019, 1:41 PM
brooks added a subscriber: brooks.

LGTM

mjg closed this revision.Sep 2 2019, 1:56 PM
mjg added a subscriber: mjg.